Subject: Nokia N900: microphone mixers

From: [email-masked] (Pali Rohár)
Date: Fri, 20 Jan 2017 15:04:04 +0100

On Friday 20 January 2017 15:00:47 Pavel Machek wrote:
> On Fri 2017-01-20 14:38:30, Pali Roh?r wrote:
> > On Friday 20 January 2017 14:31:59 Pavel Machek wrote:
> > > Hi!
> > > 
> > > Do you have any idea how to control the microphone? I'd like the audio
> > > source to be microphone on headset (not the built in one). So I run
> > > alsamixer, set everything in "capture" section to zero... and I still
> > > get the audio from the internal microphone :-(.
> > > 
> > > Tested with arecord | aplay.
> > > 
> > > Any ideas?
> > 
> > Hi! Try to set Jack Function to Headset or enable b HS Mic.
> 
> I can't find "b HS Mic" function. I can set "Input Select" to "ADC",
> and ten internal microphone is off, but I can't get any audio on
> input. I tried with "Jack function" both "headset" and "headphone".
> 
> Do I need to enable microphone bias voltage somewhere?

When you set Jack function to headset it automatically enable HS Mic
control which controls mic bias.

If Jack function in headset mode does not work, then there is bug. Try
older versions of kernel...

-- 
Pali Roh?r
pali.rohar at gmail.com